Generating 1024 bits Diffie-Hellman key for TLS... and... That's it !

01/05/2010 03:25 PM - Gilles Dupont

Status: Closed Start date: 01/05/2010

Priority: Normal Due date:  

Assignee: Francois POIROTTE % Done: 0%

Category: Sensor development/review Estimated time: 0.00 hour

Target version:    

Resolution: invalid   

Description

Hay, I've a problem when I make a "prelude-manager" command.

I did a "prelude-admin add "prelude-manager" --uid 0 --gid 0" first, and the prelude-manager profil is in /usr/local/etc/prelude/profil/.

I have my analiezrid file.

But when I run the "prelude-manager" commande, it does anything :

[root@Template ~]# prelude-manager

05 Jan 10:44:58 (process:29357) INFO: Subscribing Normalize to active decoding plugins.

05 Jan 10:44:58 (process:29357) INFO: server started (listening on 127.0.0.1 port 4690).

05 Jan 10:44:58 (process:29357) INFO: Subscribing db[default] to active reporting plugins.

05 Jan 10:44:59 (process:29357) INFO: Generating 1024 bits Diffie-Hellman key for TLS...

I should have something like that :

02 Nov 16:55:41 (process:12957) INFO: Subscribing Normalize to active decoding plugins.

02 Nov 16:55:41 (process:12957) INFO: server started (listening on 127.0.0.1 port 4690).

02 Nov 16:55:41 (process:12957) INFO: server started (listening on 192.168.2.10 port 4690).

02 Nov 16:55:41 (process:12957) INFO: Generating 1024 bits Diffie-Hellman key for TLS...

02 Nov 17:25:49 (process:15259) INFO: Subscribing db[default] to active reporting plugins.

But four hours left, I still have nothing.

Do you have any idea ?

History

#1 - 01/05/2010 03:38 PM - Gilles Dupont

I'm running a VM Centos 5.4 btw.

#2 - 02/06/2010 03:35 PM - Pierre Chifflier

This could be caused by lack of entropy. Can you check with the following command:

# cat /proc/sys/kernel/random/entropy_avail

3968

 

If the result is ~ 0, then you don't have enough entropy.
#3 - 05/05/2010 11:21 AM - Yoann VANDOORSELAERE

Is the above bugs still an issue, or might we close this ticket ?

#4 - 02/08/2012 08:26 PM - Francois POIROTTE

- Status changed from New to Assigned

- Assignee set to Francois POIROTTE

#5 - 07/22/2014 11:02 AM - Antoine LUONG

- Status changed from Assigned to Closed

- Resolution set to invalid
